Subject: [avtext] idnits of draft-ietf-avtext-avpf-ccm-layered-01.txt

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Wed, 7 Sep 2016 02:31:39 +0000

Dear authors,

Would you please solve the following nits found in idnits?

  Checking nits according to http://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

  -- The draft header indicates that this document updates RFC5104, but the
     abstract doesn't seem to directly say this.  It does mention RFC5104
     though, so this could be OK.

  Miscellaneous warnings:
  ----------------------------------------------------------------------------

  == Couldn't figure out when the document was first submitted -- there may
     comments or warnings related to the use of a disclaimer for pre-RFC5378
     work that could not be issued because of this.  Please check the Legal
     Provisions document at http://trustee.ietf.org/license-info to determine
     if you need the pre-RFC5378 disclaimer.

  -- The document date (May 17, 2016) is 112 days in the past.  Is this
     intentional?

  Checking references for intended status: Proposed Standard
 ----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)

  == Unused Reference: 'I-D.ietf-mmusic-rid' is defined on line 391, but no
     explicit reference was found in the text

  == Unused Reference: 'I-D.ietf-mmusic-sdp-simulcast' is defined on line
     397, but no explicit reference was found in the text

  == Outdated reference: A later version (-07) exists of
     draft-ietf-mmusic-rid-05

  == Outdated reference: A later version (-05) exists of
     draft-ietf-mmusic-sdp-simulcast-04

BR,
Rachel

---

From: Stephan Wenger <[email-masked]>
Date: Wed, 7 Sep 2016 02:48:38 +0000

Hi Rachel and avtext,
Below inline my views.
Thanks for moving forward,
Stephan

From:  "Huangyihong (Rachel)" <[email-masked]>

[...]

 

We could explicitly address this nit by adding a sentence “This document updates RFC5104.” towards the end of the abstract.  Please advise if that is necessary for formal reasons.  From a substance viewpoint, the context is clearly spelled out and an update is IMO not necessary.

 
	  Miscellaneous warnings:

There are no copyright related issues from my side, nor, I presume, Jonathan’s.  This document consists pretty much all of “from scratch” text.  Bo and Magnus should speak for themselves; if they want the pre-5378 disclaimer, we put that in or ask the RFC editor to do so.

	     Intentional?

Yes.  No updated version; slow IETF approval process...

 

 

These two informative references appear indeed redundant now, and can be removed.  We can do it or we can leave that removal to the RFC editor.  Please advise.

[...]

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Wed, 7 Sep 2016 03:02:39 +0000

Hi Stephan,

Thanks for your feedback. I think it's better to provide a quick new version to fix the nits now.

Also, I found a typo: In section 4, “in sections 3.5.1.5 of RFC 5104”, I believe it's section 4.3.1.5?

BR,
Rachel

> -----Original Message-----
> From: Stephan Wenger [mailto:[email-masked]]
> Sent: Wednesday, September 07, 2016 10:49 AM
> To: Huangyihong (Rachel); [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: idnits of draft-ietf-avtext-avpf-ccm-layered-01.txt
> 
> Hi Rachel and avtext,
> Below inline my views.
> We could explicitly address this nit by adding a sentence “This document
> updates RFC5104.” towards the end of the abstract.  Please advise if that is
> necessary for formal reasons.  From a substance viewpoint, the context is
> clearly spelled out and an update is IMO not necessary.
> 
> 
> 
> 
> 	  Miscellaneous warnings:
> There are no copyright related issues from my side, nor, I presume, Jonathan’s.
> This document consists pretty much all of “from scratch” text.  Bo and
> Magnus should speak for themselves; if they want the pre-5378 disclaimer, we
> put that in or ask the RFC editor to do so.
> 
> 
> 
> These two informative references appear indeed redundant now, and can be
> removed.  We can do it or we can leave that removal to the RFC editor.
> Please advise.
> 
> [...]
>

---

From: Stephan Wenger <[email-masked]>
Date: Wed, 7 Sep 2016 03:04:20 +0000

Wilco, and thanks for the typo (which I have not verified yet, but which I will do soon).
Expect updated version early next week, assuming the co-authors are not on vacation.
S.

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Wed, 7 Sep 2016 03:31:16 +0000

Thank you, Stephan. 

BR,
Rachel

> Sent: Wednesday, September 07, 2016 11:04 AM
> >> We could explicitly address this nit by adding a sentence “This
> >> document updates RFC5104.” towards the end of the abstract.  Please
> >> advise if that is necessary for formal reasons.  From a substance
> >> viewpoint, the context is clearly spelled out and an update is IMO not
> necessary.
> >>
> >>
> >>
> >>
> >> 	  Miscellaneous warnings:
> >>
> >> This document consists pretty much all of “from scratch” text.  Bo
> >> and Magnus should speak for themselves; if they want the pre-5378
> >> disclaimer, we put that in or ask the RFC editor to do so.
> >>
> >>
> >>
> >> These two informative references appear indeed redundant now, and can
> >> be removed.  We can do it or we can leave that removal to the RFC editor.
> >> Please advise.
> >>
> >> [...]
> >>